Artist:         Wavves
Name:           King of the Beach
Edition:        ~
Edition year:   2010
Media:          CD
Catalog number: FP1224-2
Record label:   Fat Possum Records
Original year:  2010
Format:         FLAC
Encoding:       Lossless
Log:            100%
Directory:      Wavves - 2010 - King of the Beach (FP1224-2)
Size:           285972330
File count:     16
Info hash:      C96C66E37A36ACE279E308A407CEC32FFE8F3D7E
Uploaded:       2017-10-21 15:40:19
Permalink:      https://redacted.ch/torrents.php?torrentid=1435542

Files:
- Name: 01 King of the Beach.flac
  Size: 20472605
- Name: 02 Super Soaker.flac
  Size: 20852275
- Name: 03 Idiot.flac
  Size: 22925187
- Name: 04 When Will You Come.flac
  Size: 20061369
- Name: 05 Post Acid.flac
  Size: 17392361
- Name: 06 Take on the World.flac
  Size: 20337217
- Name: 07 Baseball Cards.flac
  Size: 24614207
- Name: 08 Convertible Balloon.flac
  Size: 17295766
- Name: 09 Green Eyes.flac
  Size: 27499762
- Name: 10 Mickey Mouse.flac
  Size: 27495561
- Name: 11 Linus Spacehead.flac
  Size: 25470378
- Name: 12 Baby Say Goodbye.flac
  Size: 41264670
- Name: King of the Beach.cue
  Size: 1733
- Name: Wavves - King of the Beach.jpg
  Size: 274306
- Name: Wavves - King of the Beach.log
  Size: 14200
- Name: Wavves - King of the Beach.m3u
  Size: 733
Artist:         Ween
Name:           The Mollusk
Edition:        ~
Edition year:   1997
Media:          CD
Catalog number: CD 62013
Record label:   Elektra Records / Warner Music Canada
Original year:  1997
Format:         FLAC
Encoding:       Lossless
Log:            100%
Directory:      Ween - The Mollusk [Elektra Records]
Size:           309353366
File count:     24
Info hash:      1D99854036060D393CDD8926D676043676E51DAD
Uploaded:       2017-05-14 16:40:38
Permalink:      https://redacted.ch/torrents.php?torrentid=1102184

Comment: |-
  Retail CD
  Ripped w/ EAC using all the proper settings
  Cue: Multiple wav files with gaps (non-compliant)
  all artwork included

Files:
- Name: -scans/ween - the mollusk - back.jpg
  Size: 2967305
- Name: -scans/ween - the mollusk - disc.jpg
  Size: 1524242
- Name: -scans/ween - the mollusk - foldedfront.jpg
  Size: 4435302
- Name: -scans/ween - the mollusk - inside01.jpg
  Size: 5541736
- Name: -scans/ween - the mollusk - inside02.jpg
  Size: 5311312
- Name: -scans/ween - the mollusk - inside03.jpg
  Size: 5562289
- Name: 01 - I'm Dancing in the Show Tonight.flac
  Size: 10983295
- Name: 02 - The Mollusk.flac
  Size: 17606021
- Name: 03 - Polka Dot Tail.flac
  Size: 18671182
- Name: 04 - I'll Be Your Johnny on the Spot.flac
  Size: 15569325
- Name: 05 - Mutilated Lips.flac
  Size: 28000509
- Name: 06 - The Blarney Stone.flac
  Size: 23463951
- Name: 07 - It's Gonna Be (Alright).flac
  Size: 20808065
- Name: 08 - The Golden Eel.flac
  Size: 25306673
- Name: 09 - Cold Blows the Wind.flac
  Size: 29694518
- Name: 10 - Pink Eye (On My Leg).flac
  Size: 20073477
- Name: 11 - Waving My Dick in the Wind.flac
  Size: 17257432
- Name: 12 - Buckingham Green.flac
  Size: 18760448
- Name: 13 - Ocean Man.flac
  Size: 15737335
- Name: 14 - She Wanted to Leave (Reprise).flac
  Size: 21738987
- Name: folder.jpg
  Size: 323495
- Name: The Mollusk [Elektra Records].cue
  Size: 2210
- Name: Ween - The Mollusk [Elektra Records].log
  Size: 13238
- Name: Ween - The Mollusk [Elektra Records].m3u
  Size: 1019
